Skip to main content
GET
/
recipients
/
{recipient_id}
Get Recipient
curl --request GET \
  --url https://api-sandbox.y.uno/v1/recipients/{recipient_id} \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>'
{
  "id": "9104911d-5df9-429e-8488-ad41abea1a4b",
  "account_id": "9104911d-5df9-429e-8488-ad41abea1a4b",
  "merchant_recipient_id": "AAAA01",
  "national_entity": "INDIVIDUAL",
  "first_name": "John",
  "last_name": "Doe",
  "legal_name": "Arcos dorados S.A.",
  "email": "john.doe@email.com",
  "country": "CO",
  "document": {
    "document_number": "1093333333",
    "document_type": "CC"
  },
  "phone": {
    "country_code": "57",
    "number": "3132450765"
  },
  "address": {
    "address_line_1": "Calle 34 # 56 - 78",
    "address_line_2": "Apartamento 502, Torre I",
    "city": "Bogota",
    "country": "CO",
    "state": "Cundinamarca",
    "zip_code": "111111"
  },
  "withdrawal_methods": [
    {
      "bank": {
        "code": "246",
        "branch": "XXXX",
        "account": "1093333333",
        "account_type": "SAVINGS"
      }
    }
  ],
  "onboardings": [
    {
      "type": "PREVIOUSLY_ONBOARDED",
      "workflow": "HOSTED_BY_PROVIDER",
      "callback_url": "https://www.google.com",
      "provider": {
        "id": "PAGARME"
      }
    }
  ],
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T10:30:00Z"
}
Retrieves detailed information about a specific recipient.

Authorizations

public-api-key
string
header
default:<Your public-api-key>
required
private-secret-key
string
header
default:<Your private-secret-key>
required

Path Parameters

recipient_id
string
required

The unique identifier of the recipient

Response

Success Response

id
string

The unique identifier of the recipient.

Example:

"3aaa4d82-11e8-48ce-8ef5-04eee3a10802"

account_id
string

The account identifier associated with this recipient.

Example:

"fe14c7c6-c75e-43b7-bdbe-4c87ad52c482"

merchant_recipient_id
string

Unique identifier of the recipient defined by the merchant.

Example:

"MERCHANT_182acf1d-faeb-4ff0-94cd-7fab11b282f6"

national_entity
string

Beneficiary's national entity type.

Example:

"INDIVIDUAL"

entity_type
string

Beneficiary's type of organization.

Example:

"PRIVATE"

first_name
string

Beneficiary's name.

Example:

"Juan"

last_name
string

Beneficiary's last name.

Example:

"Pérez"

Beneficiary's legal name.

Example:

null

email
string

The Beneficiary's email.

Example:

"juan.perez@example.com"

date_of_birth
string

Beneficiary's date of birth.

Example:

"1990-01-15"

country
string

The Beneficiary's country.

Example:

"CO"

website
string

The seller's website URL.

Example:

"https://juanperez.com"

industry
string

The seller's industry.

Example:

"Technology"

merchant_category_code
string

The merchant category code (MCC) (MAX 235; MIN 1).

Example:

"5734"

document
object
phone
object
address
object
withdrawal_methods
object
documentation
object[]
onboardings
object[]
created_at
string<date-time>

Recipient creation date (ISO 8601 MAX 27; MIN 27).

Example:

"2025-08-27T15:41:19.497413Z"

updated_at
string<date-time>

Last Recipient updated date (ISO 8601 MAX 27; MIN 27).

Example:

"2025-08-27T15:41:19.497425Z"